%define major		1
%define libname		%mklibname forensic1394_ %{major}
%define develname	%mklibname forensic1394 -d

Name: 		libforensic1394
Version: 	0.2
Release:	%mkrel 22
Summary: 	Library for memory forensics over the IEEE 1394 interface
License:	LGPL
Group:		Development/C
URL:		http://freddie.witherden.org/tools/libforensic1394/
Source:		http://freddie.witherden.org/tools/libforensic1394/releases/libforensic1394-%{version}.tar.gz
Patch0:		libforensic1394-0.2-no-hardcoded-installation-path.patch
Patch1:		75a4e8c16c1f139380667eea1e20495b0e205528.patch
BuildRequires:	cmake
BuildRequires:	doxygen

%description
An open source (GNU LGPLv3+) library for performing live memory forensics over
the IEEE 1394 (“FireWire”) interface. Currently supported under GNU/Linux and
Mac OS X, libforensic1394 improves upon existing libraries by providing a
simple and clean interface to the the direct memory access functionality
available over FireWire. In addition to a C API Python bindings are also
available.

%package -n	%{libname}
Summary:	Libraries for %{name}
Group:		Development/C

%description -n	%{libname}
Libraries for %{name}.

%package -n	%{develname}
Summary:	Header files and development libraries for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	forensic1394 = %{version}-%{release}

%description -n	%{develname}
Header files and development libraries for %{name}.

%package -n python3-forensic1394
Summary:	Python 3 bindings for %{name}
Group:		Development/Python
Requires:	%{libname} = %{version}-%{release}
BuildRequires:	python3

%description -n python3-forensic1394
Python 3 bindings for %{name}.

%prep
%setup -q
%autopatch -p1

%build
%cmake -DFORENSIC1394_BUILD_STATIC:BOOL=OFF
%cmake_build

pushd python
%py3_build
popd

pushd docs
doxygen
popd

%install
%cmake_install

pushd python
%py3_install
popd

install -d -m 755 %{buildroot}%{_docdir}/%{name}
install -m 644 AUTHORS COPYING COPYING.LESSER README \
    %{buildroot}%{_docdir}/%{name}
cp -pr docs/docs/html %{buildroot}%{_docdir}/%{name}

%files -n python3-forensic1394
%{python3_sitelib}/forensic1394
%{python3_sitelib}/Forensic1394-0.1-py%{python3_version}.egg-info

%files -n %{libname}
%doc README
%{_libdir}/libforensic1394.so.%{version}.0
%{_libdir}/libforensic1394.so.%{major}

%files -n %{develname}
%{_docdir}/%{name}
%{_includedir}/forensic1394.h
%{_libdir}/libforensic1394.so



%changelog
* Sat Mar 19 2022 umeabot <umeabot> 0.2-22.mga9
+ Revision: 1799343
- Mageia 9 Mass Rebuild

* Tue Mar 01 2022 mrambo3501 <mrambo3501> 0.2-21.mga9
+ Revision: 1787161
- rebuild for python-3.10

* Thu Apr 01 2021 guillomovitch <guillomovitch> 0.2-20.mga9
+ Revision: 1712365
- rebuild for python 3.9

* Sat May 23 2020 wally <wally> 0.2-19.mga8
+ Revision: 1587102
- drop python2 BR

* Sun Feb 16 2020 umeabot <umeabot> 0.2-18.mga8
+ Revision: 1533019
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Sep 17 2019 guillomovitch <guillomovitch> 0.2-17.mga8
+ Revision: 1443197
- fix build
- drop python2 support

* Tue Jan 08 2019 shlomif <shlomif> 0.2-16.mga7
+ Revision: 1352854
- Rebuild for python3 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.2-15.mga7
+ Revision: 1298846
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.2-14.mga7
+ Revision: 1135252
- Rebuild for python 3.6

* Thu Feb 11 2016 umeabot <umeabot> 0.2-13.mga6
+ Revision: 955459
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 0.2-12.mga6
+ Revision: 887991
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 0.2-11.mga5
+ Revision: 742022
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2-10.mga5
+ Revision: 726717
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2-9.mga5
+ Revision: 681461
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.2-8.mga5
+ Revision: 629683
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0.2-7.mga5
+ Revision: 628294
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.2-6.mga4
+ Revision: 542651
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.2-5.mga4
+ Revision: 497866
- Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jan 12 2013 umeabot <umeabot> 0.2-4.mga3
+ Revision: 357120
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 28 2012 guillomovitch <guillomovitch> 0.2-3.mga3
+ Revision: 215824
- fix library package name
- fix python bindings dependencies
- don't ship README file in unversionned path in library package

* Tue Feb 21 2012 guillomovitch <guillomovitch> 0.2-2.mga2
+ Revision: 211467
- provide bindings for python3 too

* Wed Feb 15 2012 guillomovitch <guillomovitch> 0.2-1.mga2
+ Revision: 209328
- imported package libforensic1394


* Wed Feb 15 2012 Guillaume Rousse <guillomovitch@mandriva.org> 0.2-1.mga2
- first mageia release
